lp(1)

NAME
lp - print files
cancel - cancel jobs

SYNOPSIS
lp [ -E ] [ -c ] [ -d destination ] [ -h server ] [ -m ] [ -n num-copies [ -o option ] [ -p/q priority ] [ -s ] [ -t title ] [ -H handling ] [ -P page-list ] [ file(s) ]
lp [ -E ] [ -c ] [ -h server ] [ -i job-id ] [ -n num-copies [ -o option ] [ -p/q priority ] [ -t title ] [ -H handling ] [ -P page-list ]
cancel [ -a ] [ -h server ] [ id ] [ destination ] [ destination-id ]

DESCRIPTION
lp submits files for printing or alters a pending job.

cancel cancels existing print jobs. The -a option will remove all jobs from the specified destination.

OPTIONS
The following options are recognized by lp:

-E
    Forces encryption when connecting to the server.

-d destination
    Prints files to the named printer.

-h hostname
    Specifies the print server hostname. The default is "localhost" or the value of the CUPS_SERVER environment variable.

-i job-id
    Specifies an existing job to modify.

-m
    Send email when the job is completed (not supported CUPS 1.1.)

-n copies
    Sets the number of copies to print from 1 to 100.

-o option
    Sets a job option.

-p/q priority
    Sets the job priority from 1 (lowest) to 100 (highest). The default priority is 50.

-s
    Do not report the resulting job IDs (silent mode.)

-t name
    Sets the job name.

-H handling
    Specifies when the job should be printed. A value of immediate will print the file immediately, a value of hold will hold the job indefinitely, and a time value (HH:MM) will hold the job until the specified time. Use a value of resume with the -i option to resume a held job.

-P page-list
    Specifies which pages to print in the document. The list can contain a list of numbers and ranges (#-#) separated by commas (e.g. 1,3-5,16).

COMPATIBILITY
Unlike the System V printing system, CUPS allows printer names to contain any printable character except SPACE and TAB. Also, printer and class names are not case-sensitive.

The "m" option is not functional in CUPS 1.1.

SEE ALSO
lpstat(1), CUPS Software Users Manual, http://localhost:631/documentation.html

COPYRIGHT
Copyright 1993-2001 by Easy Software Products, All Rights Reserved.